// File FREEIMAGE.C (used to build LIBBMP.A)
// Written by:
// Daniel W. Lewis (dlewis@scu.edu)
// Computer Engineering Department
// Santa Clara University
// Revised Jan 15, 2015

#include "libbmp.h"

void FreeImage(IMAGE *image)
	{
	unsigned row ;

	_DelPointer(image) ;
	for (row = 0; row < image->rows; row++)
		{
		free(image->pxlrow[row]) ;
		}
	free(image) ;
	}

