// Library file CPYSEG.C (used to build LIBWAV.A)
// Written by:
// Daniel W. Lewis (dlewis@scu.edu)
// Computer Engineering Department
// Santa Clara University
// Revised Jan 2, 2015

#include "libwav.h"

AUDIO *CopySegment(AUDIO *source, unsigned frstndex, unsigned lastndex)
	{
	AUDIO *segment ;
	unsigned index ;

	_ChkPointer(source) ;
	segment = NewAudio(lastndex - frstndex + 1, source->sample_rate) ;
	for (index = frstndex; index <= lastndex; index++)
		{
		segment->samples[index - frstndex] = source->samples[index] ;
		}

	return segment ;
	}

